INPUT_SCANCODE_TO_SC(9)

NAME
input_scancode_to_scalar - converts scancode in struct input_keymap_entry

SYNOPSIS

int input_scancode_to_scalar(const struct input_keymap_entry * ke, unsigned int * scancode);

ARGUMENTS

ke
    keymap entry containing scancode to be converted.

scancode
    pointer to the location where converted scancode should be stored.

DESCRIPTION

This function is used to convert scancode stored in struct keymap_entry into scalar form understood by legacy keymap handling methods. These methods expect scancodes to be represented as 'unsigned int'.

COPYRIGHT